2.4.0+ пока вообще не стоит ставить, ни для чего. Читай modx.pro/development/6312-how-not-to-extend-modx-processors/
А с выводом 2.3.6 — это костыль MODX-а. В MODX реальная версия находится в core/docs/version.inc.php, и MODx::getVersionData() дергает информацию оттуда, но на практике MODX зачем-то берет эту информацию из БД (системная настройка settings_version), где эти данные могут быть совсем не актуальные. Сборка при установке перетирает системные настройки, и соответственно и версия другая теперь выводится.

Вернуться к списку комментариев